header: spawn.h
macros: []
types:
  - type_name: posix_spawn_file_actions_t
  - type_name: posix_spawnattr_t
  - type_name: pid_t
  - type_name: mode_t
enums: []
objects: []
functions:
  - name: posix_spawn
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: pid_t *__restrict
      - type: const char *__restrict
      - type: posix_spawn_file_actions_t *
      - type: posix_spawnattr_t *__restrict
      - type: const char *__restrict *
      - type: const char *__restrict *
  - name: posix_spawn_file_actions_addclose
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: posix_spawn_file_actions_t *
      - type: int
  - name: posix_spawn_file_actions_adddup2
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: posix_spawn_file_actions_t *
      - type: int
      - type: int
  - name: posix_spawn_file_actions_addopen
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: posix_spawn_file_actions_t *__restrict
      - type: int
      - type: const char *__restrict
      - type: int
      - type: mode_t
  - name: posix_spawn_file_actions_destroy
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: posix_spawn_file_actions_t *
  - name: posix_spawn_file_actions_init
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: posix_spawn_file_actions_t *
